> For the complete documentation index, see [llms.txt](https://mariadb.com/docs/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://mariadb.com/docs/server/reference/system-tables/information-schema/information-schema-tables/information-schema-wsrep_membership-table.md).

# Information Schema WSREP\_MEMBERSHIP Table

The `WSREP_STATUS` table makes [Galera](https://mariadb.com/docs/galera-cluster/) node cluster membership information available through the [Information Schema](/docs/server/reference/system-tables/information-schema.md). The same information can be returned using the [SHOW WSREP\_MEMBERSHIP](/docs/server/reference/sql-statements/administrative-sql-statements/show/show-wsrep_membership.md) statement. Only users with the [SUPER](/docs/server/reference/sql-statements/account-management-sql-statements/grant.md#super) can access information from this table.

The `WSREP_MEMBERSHIP` table is part of the [WSREP\_INFO plugin](/docs/server/reference/plugins/mariadb-replication-cluster-plugins/wsrep_info-plugin.md).

## Example

```sql
SELECT * FROM information_schema.WSREP_MEMBERSHIP;
+-------+--------------------------------------+-------+-----------------+
| INDEX | UUID                                 | NAME  | ADDRESS         |
+-------+--------------------------------------+-------+-----------------+
|     0 | 46da96e3-6e9e-11e4-95a2-f609aa5444b3 | node1 | 10.0.2.15:16000 |
|     1 | 5f6bc72a-6e9e-11e4-84ed-57ec6780a3d3 | node2 | 10.0.2.15:16001 |
|     2 | 7473fd75-6e9e-11e4-91de-0b541ad91bd0 | node3 | 10.0.2.15:16002 |
+-------+--------------------------------------+-------+-----------------+
```

<sub>*This page is licensed: CC BY-SA / Gnu FDL*</sub>

{% @marketo/form formId="4316" %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://mariadb.com/docs/server/reference/system-tables/information-schema/information-schema-tables/information-schema-wsrep_membership-table.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
